import { createClient } from "@supabase/supabase-js";
import { defu } from "defu";
import { useSupabaseToken } from "./useSupabaseToken.mjs";
import { useRuntimeConfig, useNuxtApp } from "#imports";
export const useSupabaseAuthClient = () => {
  const nuxtApp = useNuxtApp();
  const token = useSupabaseToken();
  const Authorization = token.value ? `Bearer ${token.value}` : void 0;
  const { supabase: { url, key, client: clientOptions } } = useRuntimeConfig().public;
  const options = Authorization ? defu(clientOptions, { global: { headers: { Authorization } } }) : clientOptions;
  if (!nuxtApp._supabaseAuthClient) {
    nuxtApp._supabaseAuthClient = createClient(url, key, options);
  }
  return nuxtApp._supabaseAuthClient;
};
